Create new space

POST
https://example.kaiten.ru/api/latest/spaces
Headers
NameValue
Content-Typeapplication/json
Attributes
schema
NameTypeConstraintsDescription
titlerequired
string
minLength: 1
maxLength: 256

Space title

number
external_id
number | string | null
Any external id you want to assign to space. Not exposed in web interface
parent_entity_uid
string

Parent tree entity uid

for_everyone_access_role_id
string
sort_order
number
minimum: 0
exclusiveMinimum: 0
work_calendar_id
string
Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
id

integer

Space id
uid

string

Space uid
title

string

Space title
updated

string

Last update timestamp
created

string

Create date
archived

boolean

Space archived flag
access

string

Space access
for_everyone_access_role_id

string

Role id for everyone access
entity_type

string

Entity type
path

string

Inner path to entity
sort_order

number

Space sort order
parent_entity_uid

null | string

Parent entity uid
company_id

integer

Company id
allowed_card_type_idsDeprecated: use
hidden_card_type_uids instead

null | array

Allowed card types for this space
hidden_card_type_uids

null | array

List of hidden card type uids
external_id

null | string

External id
settings

object

Schema
Space settings
users

array of objects

Schema
Space users
400
DescriptionResponse typeExample
Validation errorObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

402
DescriptionResponse typeExample
Feature is not supported by tariffObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
403
DescriptionResponse typeExample
ForbiddenResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io
  1  curl --request POST \
  2       --url 'https://example.kaiten.ru/api/latest/spaces' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!